Bug 126123 - rpm --rebuilddb results in segfault
rpm --rebuilddb results in segfault
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 07:44 EDT by Christian Dias Løgberg
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 17:52:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of rpm -qa -vv (56.43 KB, text/plain)
2004-06-16 09:43 EDT, Christian Dias Løgberg
no flags Details
output of rpm --rebuilddb -vv (437.45 KB, text/plain)
2004-06-17 11:05 EDT, Christian Dias Løgberg
no flags Details

  None (edit)
Description Christian Dias Løgberg 2004-06-16 07:44:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Rpm segfaults when I attempt to handle packages. I tried removing the
__* lock-files and rebuilding the database.

$ mv Packages Packages-ORIG /usr/lib/rpm/db_dump Packages-ORIG | \
/usr/lib/rpm/db_load Packages


Checks seem to work fine:

$ /usr/lib/rpm/rpmdb_verify /var/lib/rpm/Packages works fine
$ rpm -qa also works fine

but when I try to rebuild with rpm --rebuilddb, a segfault occurs

I still can't handle packages :(

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run rpm
2.
3.
    

Actual Results:  Segmentation fault

Expected Results:  An install, upgrade, removal, or other handling of
specified package

Additional info:

rpm v. 4.3.1
Comment 1 Jeff Johnson 2004-06-16 08:36:20 EDT
Can you attach rpm -qa -vv output?
Comment 2 Christian Dias Løgberg 2004-06-16 09:43:04 EDT
Created attachment 101186 [details]
output of rpm -qa -vv
Comment 3 Jeff Johnson 2004-06-17 09:11:31 EDT
ok, all the headers appear intact.

now what happens with rpm --rebuilddb -vv? The
last header instance printed may be damaged ...
Comment 4 Christian Dias Løgberg 2004-06-17 11:05:42 EDT
Created attachment 101219 [details]
output of rpm --rebuilddb -vv

This command also results in a segfault, but I can't see any problems in the
output?
Comment 5 Paul Nasrat 2005-09-26 17:52:53 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.